# $Revision: 1.19 $, $Date: 2005/12/29 13:33:04 $
%define _short_name 	foiltex
Summary:	Set of LaTeX macros for preparing slides
Summary(pl):	Zbir makr tekstowych do przygotowywania slajdw
Name:		tetex-%{_short_name}
Version:	1
Release:	6
License:	non-commercial
Group:		Applications/Publishing/TeX
Source0:	ftp://tug.ctan.org/tex-archive/nonfree/macros/latex/contrib//%{_short_name}.zip
# Source0-md5:	f3c8204a28cd176af889549ab1f6dc18
Patch0:		%{name}-newcommand.patch
%requires_eq	tetex
%requires_eq	tetex-latex
BuildRequires:	tetex-latex
PreReq:		tetex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of LaTeX macros for preparing slides. Also very usefull in
preparing presentation using pdflatex.

%description -l pl
Zbir makr LaTeXa do przygotowywania slajdw. Rwnie uyteczny w
przypadku przygotowywania prezentacji za pomoc pdflatex.

%prep
%setup -q -n %{_short_name}
%patch0 -p0

%build
latex foiltex.ins

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name}

install {fltfonts.def,*.clo,*.sty,foiltex.log,foils.cls} \
	$RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name}


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %{_bindir}/mktexlsr
%postun	-p %{_bindir}/mktexlsr

%files
%defattr(644,root,root,755)
%doc README sampfoil.tex foiltex.pdf
%{_datadir}/texmf/tex/latex/%{_short_name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-foiltex.spec,v $
Revision 1.19  2005/12/29 13:33:04  adamg
- switched to .zip sources (pdf doc included)
- added -newcommand.patch
- release 6
- all changes by Maciej Witaszek (maciek2w (at) gmail (dot) com)

Revision 1.18  2005/01/06 16:36:43  blues
- release 2 - updated URL to working one.

Revision 1.17  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/17 19:15:26  qboosh
- missing dir

Revision 1.14  2002/11/29 22:46:44  ankry
- massive attack: new %%doc

Revision 1.13  2002/04/22 11:43:08  roman
s/Non-commercial/non-commercial in License

Revision 1.12  2002/04/22 11:40:54  roman
s/nocommercial/Non-commercial in License:

Revision 1.11  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/19 12:41:56  qboosh
- use -p in post/postun, cosmetics; release 4

Revision 1.7  2001/10/03 09:58:05  qboosh
- added Source0 URL, removed redundant URL field

Revision 1.6  2001/06/15 14:58:33  misiek
- added pl translations
- rebuild against current tetex
- release 3

Revision 1.5  2001/05/18 11:58:43  roman
- fixed typos in Summary and %description

Revision 1.4  2001/04/06 13:42:43  wiget
use %%require_eq for tetex (*.fmt files are not compatible across versions of teTeX);release++

Revision 1.3  2000/08/26 20:55:41  dobrek
- Added URL field.

Revision 1.2  2000/08/26 20:45:44  kloczek
- added tetex and /usr/bin/mktexlsr to Prereq,
- readme.flt sampfoil.tex moved to %doc,
- in %post/%postun use full path to mktexlsr.

Revision 1.1  2000/08/26 20:17:00  dobrek
- initial revision.
  But it should work.
